pskc_get_key_policy_keyusages(3)

NAME
pskc_get_key_policy_keyusages - API function

SYNOPSIS
#include <pskc.h>

int pskc_get_key_policy_keyusages(pskc_key_t * key, int * present);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int * present
    output variable indicating whether data was provided or not.

DESCRIPTION
Get the PSKC KeyPackage Key Policy KeyUsage values. The element puts constraints on the intended usage of the key. The recipient of the PSKC document MUST enforce the key usage. If present is non-NULL, it will be 0 if the field is not present or 1 if it was present.

RETURNS
an integer holding a set of pskc_keyusage values ORed together.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.